// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>
#include <assert.h>

#include "background.hh"
#include "globals.hh"

Background::Background(const char* bg_name, CL_ResourceManager* resource)
{
  bg_surface = CL_Res_Surface::load(bg_name, *resource);
  
  if (!bg_surface) {
    cerr << bg_name << ": Could not load file" << endl;
    exit(EXIT_FAILURE);
  }
}

Background::~Background()
{
  delete bg_surface;
}

void
Background::draw()
{
  assert(bg_surface);

  for(int y=0; y < 600; y += bg_surface->get_provider()->get_height())
    for(int x=0; x < 800; x += bg_surface->get_provider()->get_width())
      bg_surface->put_screen(x, y);
}

void
Background::mark_dirty(int x, int y, int w, int h)
{
  
}

/* EOF */
