// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#ifndef PINGU_HH
#define PINGU_HH

#include "colmap.hh"
#include "pingu_action.hh"
#include "pingu_data.hh"
#include "pingumap.hh"


class Pingu
{
private:
  PinguAction* action;
  PinguData data;
  
  static ColMap* colmap;
  static CL_ResourceManager* resource;
  static CL_Surface* walker;
  static CL_Surface* faller;
  AnimCounter walker_c;
  AnimCounter faller_c;
public:
  Pingu();
  Pingu(int x, int y);

  int  get_x();
  int  get_y();
  bool is_alive(void);

  void set_pos(int x, int y);
  int  set_action(PinguAction*);
  int  rel_getpixel(int x, int y);

  void draw_offset(int x, int y);
  void let_move();

  bool is_over(int x, int y);

  static void set_colmap(ColMap* a);
  static void set_map(PinguMap*);
  static void load_data(CL_ResourceManager*);
};

#endif

/* EOF */
