// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <cstdlib>
#include <cassert>
#include "pingutile.hh"

PinguTile::PinguTile()
{
  redraw = true;
  tile = 0;
}

void
PinguTile::draw(int x, int y)
{
  /*assert(tile);
  if (!tile) {
    cout << "Tile: " << tile << endl;
    exit(EXIT_FAILURE);
    }*/
  
  if (tile && !tile_is_transparent)
    tile->put_screen(x, y);
}

void
PinguTile::load(char* str, PinguTileProvider* tile_provider)
{
  assert(0);
}

void
PinguTile::load(int i, PinguTileProvider* tile_provider)
{
  if (i == 0) {
    tile_is_transparent = true;
  } else {
    tile_is_transparent = false;
    
    tile = tile_provider->get_surface(i);
    if (!tile) {
      cerr << "Game/stones" << i << ": Could not load file" << endl;
    }
  }
}

void
PinguTile::start_anim()
{
}

void
PinguTile::stop_anim()
{
}

void
PinguTile::set_redraw(bool r)
{
  redraw = r; 
}

bool
PinguTile::needs_redraw()
{
  return redraw;
}

/* EOF */
